## ros-indigo-cob-map-accessibility-analysis 0.6.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(cob_map_accessibility_analysis)

set(catkin_RUN_PACKAGES
  cob_3d_mapping_msgs
  cv_bridge
  geometry_msgs
  image_transport
  message_filters
  nav_msgs
  pcl_ros
  roscpp
  sensor_msgs
  tf
)

set(catkin_BUILD_PACKAGES
	${catkin_RUN_PACKAGES}
	message_generation
)

find_package(catkin REQUIRED COMPONENTS
  ${catkin_BUILD_PACKAGES}
)

find_package(Boost REQUIRED)
find_package(OpenCV REQUIRED)

catkin_python_setup()

add_service_files(
  FILES
    CheckPerimeterAccessibility.srv
    CheckPointAccessibility.srv
)

generate_messages(
  DEPENDENCIES
    geometry_msgs
)

catkin_package(
INCLUDE_DIRS
	ros/include
LIBRARIES
	map_accessibility_analysis
CATKIN_DEPENDS
	${catkin_RUN_PACKAGES}
	message_runtime
DEPENDS
	Boost
	OpenCV
)

include_directories(
  ros/include
  ${catkin_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIRS}
  ${OpenCV_INCLUDE_DIRS}
)

# map_accessibility_analysis lib
add_library(map_accessibility_analysis
  ros/src/map_accessibility_analysis.cpp
)
target_link_libraries(map_accessibility_analysis
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
  ${OpenCV_LIBRARIES}
)
add_dependencies(map_accessibility_analysis ${catkin_EXPORTED_TARGETS})

# map_accessibility_analysis_server
add_executable(map_accessibility_analysis_server
  ros/src/map_accessibility_analysis_server.cpp
)
target_link_libraries(map_accessibility_analysis_server
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
  ${OpenCV_LIBRARIES}
  map_accessibility_analysis
)
add_dependencies(map_accessibility_analysis_server ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})


# map_accessibility_analysis_client
add_executable(map_accessibility_analysis_client ros/src/map_accessibility_analysis_client.cpp)
target_link_libraries(map_accessibility_analysis_client
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
  ${OpenCV_LIBRARIES}
)
add_dependencies(map_accessibility_analysis_client ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

#############
## Install ##
#############
install(TARGETS map_accessibility_analysis map_accessibility_analysis_server map_accessibility_analysis_client
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY ros/include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(DIRECTORY ros/launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/ros
)

=== debian/changelog ===
ros-indigo-cob-map-accessibility-analysis (0.6.7-0trusty) trusty; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Fri, 20 Jul 2018 22:00:00 -0000

ros-indigo-cob-map-accessibility-analysis (0.6.6-0trusty) trusty; urgency=high

  * Merge pull request #97 <https://github.com/ipa320/cob_navigation/issues/97> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Merge pull request #94 <https://github.com/ipa320/cob_navigation/issues/94> from ipa-rmb/indigo_dev
    corrected comment
  * corrected comment
  * Merge pull request #93 <https://github.com/ipa320/cob_navigation/issues/93> from ipa-fez/bugfix/install_map_accessibility_analysis_library
    install libmap_accessibility_analysis
  * install libmap_accessibility_analysis
  * Merge pull request #92 <https://github.com/ipa320/cob_navigation/issues/92> from ipa-rmb/indigo_dev
    some format harmonization
  * some format harmonization
  * Merge pull request #89 <https://github.com/ipa320/cob_navigation/issues/89> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix, Felix Messmer, Richard Bormann, ipa-uhr-mk

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-indigo-cob-map-accessibility-analysis (0.6.5-0trusty) trusty; urgency=high

  * remove obsolete dependencies to cmake_modules
  * added comment
  * disabled the output
  * bugfix
  * moved two functions to the public section in class
  * added missing dependency
  * code review
  * restructuring map_accessibility_analysis so that it can be used as lib and as ROS service
  * Fixed headers and output
  * Fix compile warning
  * Reformatted source files with ipa_code_refactoring
  * Fixed headers and replaced std::cout with ROS logging services
  * Moved files into folder
  * Contributors: Benjamin Maidel, Elias Marks, Richard Bormann, ipa-fxm

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Mon, 17 Jul 2017 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-cob-map-accessibility-analysis
Section: misc
Priority: extra
Maintainer: Richard Bormann <richard.bormann@ipa.fraunhofer.de>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libopencv-dev, libpcl-1.7-all-dev, ros-indigo-catkin, ros-indigo-cob-3d-mapping-msgs, ros-indigo-cv-bridge, ros-indigo-geometry-msgs, ros-indigo-image-transport, ros-indigo-message-filters, ros-indigo-message-generation, ros-indigo-nav-msgs, ros-indigo-pcl-ros, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-tf
Homepage: http://ros.org/wiki/cob_map_accessibility_analysis
Standards-Version: 3.9.2

Package: ros-indigo-cob-map-accessibility-analysis
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libopencv-dev, libpcl-1.7-all-dev, ros-indigo-cob-3d-mapping-msgs, ros-indigo-cv-bridge, ros-indigo-geometry-msgs, ros-indigo-image-transport, ros-indigo-message-filters, ros-indigo-message-runtime, ros-indigo-nav-msgs, ros-indigo-pcl-ros, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-sensor-msgs, ros-indigo-tf
Description: cob_map_accessibility_analysis receives the map from navigation as well as obstacles and inflates_obstacles topics to assemble a common obstacle map.
 Upon request, this node checks the accessibility of poses within thin map by (i) checking whether the pose itself is free and by (ii) checking whether there is a closed path from robot to the goal pose.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-cob-map-accessibility-analysis//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
